%force = forceRequiredAddon("Script_PathCam");

if(%force == $Error::AddOn_NotFound)
{
	error("Script_PathCam not found!");
	return;
}


if(isObject(PathCamSO))
{
	PathCamSO.delete();
}

new ScriptObject(PathCamSO)
{
	numCams = 0;
};

if(isFile("Add-Ons/System_ReturnToBlockland/server.cs"))
{
	if(!$RTB::RTBR_ServerControl_Hook && isFile("Add-Ons/System_ReturnToBlockland/RTBR_ServerControl_Hook.cs"))
	{
		exec("Add-Ons/System_ReturnToBlockland/RTBR_ServerControl_Hook.cs");
	}
	RTB_registerPref("Light Exit","PathCam Events","PathCam::LightExit","bool","Event_PathCam",1,0,0);
}
else
{
	$PathCam::LightExit = 1;
}

exec("./PathCam.cs");